How do I move next-gen issues to an Epic via Rest API?

jiratickets March 26, 2024

I get this error everytime I try to move an issue to an EPIC via a POST Rest API. I wasn't aware about the fact that it was a next-gen issue until I saw this error message. Now that I know, what should I do to eliminate this error?

The error message is provided below:

"errorMessages":["The request contains a next-gen issue. This operation can't add next-gen issues to epics. To add a next-gen issue to an epic, use the Edit issue operation and set the parent property (i.e., '\"parent\":{\"key\":\"PROJ-123\"}' where \"PROJ-123\" has an issue type at level one of the issue type hierarchy). See <a href=\"https://developer.atlassian.com/cloud/jira/platform/rest/v2/\"> developer.atlassian.com </a> for more details."],"errors":{}}

1 answer

1 vote
Trudy Claspill
Community Leader
Community Leader
Community Leaders are connectors, ambassadors, and mentors. On the online community, they serve as thought leaders, product experts, and moderators.
March 26, 2024

Hello @jiratickets 

Welcome to the Atlassian community.

You need to use a different API endpoint, just as the message says.

Are you unclear about using the Edit operation?

jiratickets March 27, 2024

Hi Trudy, 

Yes, I am a bit unclear on the Edit operation. I am using JIRA APIs to create jira issues with attachments. But, now that I need to link it to an existing EPIC, I get this issue. 
What do you mean by I need to use a different API endpoint? Could you please explain?

Thank you :)

Trudy Claspill
Community Leader
Community Leader
Community Leaders are connectors, ambassadors, and mentors. On the online community, they serve as thought leaders, product experts, and moderators.
March 27, 2024

Suggest an answer

Log in or Sign up to answer
DEPLOYMENT TYPE
CLOUD
PRODUCT PLAN
PREMIUM
TAGS
AUG Leaders

Atlassian Community Events